#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.forensik_rhs'}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}" >&{'lelang.home'}</a></li>
    <li class="active">&{'lelang.rhs_forensik'}</li>
</ul>

<div class="content">
#{alert /}
#{form @lelang.LelangCtr.removeForensikRhs(), method:'POST'}
    <table class="table table-sm" id="tbllelang">
        <thead>
        <tr>
            <th width="10px" class="text-center"><input type="checkbox"class="checkall"/></th>
            <th>&{'lelang.kode_tender'}</th>
            <th>&{'lelang.nama_tender'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{newDeleteButton /}
#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript">
    var forensikDetail = #{jsRoute @lelang.LelangCtr.viewDetailForensikRhs(':id') /};
    var table = $("#tbllelang").DataTable({
        order: [[ 2, "desc"]],
        ajax: "@{DataTableCtr.lelangForensik()}",
        columns: [{sortable:false,orderable:true, render: function(data, type, row) {
            var ids = row[0];
            var judul = row[1];
            row[0] = "<center><input type='checkbox' class='checkbox' name='chkForensik' value='" + row[0] + "' /></center>";
            row[1] = ids;
            row[2] = "<a href='"+forensikDetail.url({id:ids})+"'>"+judul+"</a>";
            return row[0];
        }},null, null]
    });
    $('#tbllelang_filter input').unbind();
    $('#tbllelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

</script>
#{/set}